summaryrefslogtreecommitdiffstats
path: root/misc/vttest/vttest.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'misc/vttest/vttest.SlackBuild')
-rw-r--r--misc/vttest/vttest.SlackBuild108
1 files changed, 108 insertions, 0 deletions
diff --git a/misc/vttest/vttest.SlackBuild b/misc/vttest/vttest.SlackBuild
new file mode 100644
index 0000000000..eb21a0a8c9
--- /dev/null
+++ b/misc/vttest/vttest.SlackBuild
@@ -0,0 +1,108 @@
+#!/bin/sh
+
+# Slackware build script for vttest
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=vttest
+VERSION=${VERSION:-2.7.20140305}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+# 20180618 bkw:
+# The "2.7" part of the version number isn't part of the filename nor the
+# extracted directory. I could just use the date/time as VERSION but I
+# want it to match the documentation (CHANGES file, and the mention of
+# "post version 1.7 tests" on the web site). Using rev here in case
+# the version ever has 3 components (2.7.1 rather than 2.7, eg).
+TARVER="$( echo $VERSION | rev | cut -d. -f1 | rev )"
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$TARVER
+tar xvf $CWD/$PRGNAM-$TARVER.tgz
+cd $PRGNAM-$TARVER
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
+
+# Check CHANGES to make sure the version hasn't updated. Nobody but me
+# should ever see this error message (in the grand tradition of error
+# messages that say "This never happens").
+MAJMIN="$( echo $VERSION | rev | cut -d. -f2- | rev )"
+REALVER="$( grep '^VERSION' CHANGES | head -1 | sed 's,.* ,,' )"
+
+if [ "$REALVER" != "$MAJMIN" ]; then
+ cat 1>&2 <<EOF
+
+*** VERSION=$VERSION, the $MAJMIN part is wrong, doesn't match
+*** VERSION $REALVER in CHANGES file.
+*** Fix the build! If you are not the maintainer, please copy/paste
+*** this message and mail it to the maintainer.
+
+EOF
+ exit 1
+fi
+
+# Old configure script, works, but doesn't accept --docdir and doesn't
+# support 'make install-strip'.
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+strip $PKG/usr/bin/$PRGNAM
+gzip -9 $PKG/usr/man/man1/$PRGNAM.1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a BUGS CHANGES COPYING MANIFEST README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}